Bug 1417218 - Two finger scrolling on touchpad not working properly in shotwell
Summary: Two finger scrolling on touchpad not working properly in shotwell
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: shotwell
Version: 25
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-27 15:01 UTC by Simon
Modified: 2017-12-12 10:39 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:39:10 UTC
Type: ---


Attachments (Terms of Use)

Description Simon 2017-01-27 15:01:38 UTC
User-Agent:       Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:50.0) Gecko/20100101 Firefox/50.0
Build Identifier: 

I cannot use two finger scrolling in shotwell with my touchpad. So far shotwell is the only program showing this problem. Scrolling with a mouse using the middle scrolling button works fine.

Reproducible: Always

Steps to Reproduce:
1. Open shotwell
2. Open some event with many photos
3. Try scrolling down the photos with two fingers on the touchpad

Actual Results:  
using two fingers on the touchpad does not enable scrolling function at all

Expected Results:  
using two fingers on the touchpad enables scrolling function

Comment 1 Simon 2017-01-27 15:07:38 UTC
Just found out that two finger scrolling is actually working - but just if you move the mouse over the scrolling bar!

Comment 2 Thomas Naudin 2017-11-13 17:17:12 UTC
Same problem here on Fedora 26 for Shotwell, gThumb, and Eye of Gnome.

Comment 3 Fedora End Of Life 2017-11-16 19:18:27 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-12-12 10:39:10 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.